# spacetraders_sdk

[![Package Version](https://img.shields.io/hexpm/v/spacetraders_sdk)](https://hex.pm/packages/spacetraders_sdk)
[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/spacetraders_sdk/)

```sh
gleam add spacetraders_sdk@1
```
```gleam
import spacetraders_api
import spacetraders_models/agent_token
import gleam/httpc

pub fn main() -> Nil {
  let assert Ok(agent_token) = agent_token.parse("...")
  case spacetraders_api.get_account_request(agent_token) |> httpc.send_bits {
    Ok(res) -> {
      echo spacetraders_api.get_account_response(res)
      Nil
    }
    Error(err) -> {
      echo err
      Nil
    }
  }
}
```

Further documentation can be found at <https://hexdocs.pm/spacetraders_sdk>.

## Development

```sh
gleam run   # Run the project
gleam test  # Run the tests
```
